> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Accounts V2

> Retrieve a list of all virtual accounts for a specific customer



## OpenAPI

````yaml GET /v2/customers/{customer_id}/virtual-accounts
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/customers/{customer_id}/virtual-accounts:
    get:
      tags:
        - Virtual Accounts
      summary: List Virtual Accounts V2
      description: Retrieve a list of all virtual accounts for a specific customer
      operationId: listVirtualAccountsV2
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Unique identifier for the customer
          example: 0fb72092-22a8-4df8-a6d9-1a28f86b7d44
        - $ref: '#/components/parameters/PerPageParam'
        - $ref: '#/components/parameters/CurrentPageParam'
      responses:
        '200':
          description: Virtual accounts retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      virtual_accounts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 024e784b-bc27-4a4c-82ee-80000fbf53c5
                            status:
                              type: string
                              enum:
                                - PROCESSING
                                - IN_COMPLIANCE
                                - REQUEST_FOR_INFORMATION
                                - ACTIVE
                                - INACTIVE
                                - DECLINED
                              example: ACTIVE
                            developer_fee_percent:
                              type: number
                              nullable: true
                              example: 0
                            developer_fee_fixed:
                              type: number
                              nullable: true
                              example: 0.3
                            customer_id:
                              type: string
                              format: uuid
                              example: 0fb72092-22a8-4df8-a6d9-1a28f86b7d44
                            created_at:
                              type: string
                              format: date-time
                              example: '2026-04-04T11:05:20.963676Z'
                            updated_at:
                              type: string
                              format: date-time
                              example: '2026-04-04T11:05:20.963676Z'
                            deposit_instructions:
                              type: object
                              nullable: true
                              description: null when status is PROCESSING
                              properties:
                                currency:
                                  type: string
                                  example: USD
                                bank_name:
                                  type: string
                                  example: Bank of Nowhere
                                bank_address:
                                  type: string
                                  example: 1800 North Pole St., Orlando, FL 32801
                                bank_routing_number:
                                  type: string
                                  example: '101019644'
                                bank_account_number:
                                  type: string
                                  example: '2611508020'
                                payment_rails:
                                  type: array
                                  items:
                                    type: string
                                  example:
                                    - ACH
                                    - FEDWIRE
                                bank_country:
                                  type: string
                                  nullable: true
                                  example: null
                                account_type:
                                  type: string
                                  nullable: true
                                  example: null
                                bank_code:
                                  type: string
                                  nullable: true
                                  example: null
                            destination:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  enum:
                                    - USDC
                                  example: USDC
                                destination_chain:
                                  type: string
                                  enum:
                                    - POLYGON
                                  example: POLYGON
                                address:
                                  type: string
                                  example: '0x6e41e83d406185b358bd72111ab1206cb82eb67f'
                            rfi:
                              type: object
                              nullable: true
                              example: null
                      pagination:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          per_page:
                            type: integer
                            example: 10
                          total_page:
                            type: integer
                            example: 1
                          total:
                            type: integer
                            example: 2
              examples:
                OK:
                  summary: OK
                  value:
                    data:
                      virtual_accounts:
                        - id: 024e784b-bc27-4a4c-82ee-80000fbf53c5
                          status: PROCESSING
                          developer_fee_percent: 0
                          developer_fee_fixed: 0.3
                          customer_id: 0fb72092-22a8-4df8-a6d9-1a28f86b7d44
                          created_at: '2026-04-04T11:05:20.963676Z'
                          updated_at: '2026-04-04T11:05:20.963676Z'
                          deposit_instructions: null
                          destination:
                            currency: USDC
                            destination_chain: POLYGON
                            address: '0x6e41e83d406185b358bd72111ab1206cb82eb67f'
                          rfi: null
                        - id: 1c1919e3-ce2e-4728-9efe-12b8be8e964d
                          status: ACTIVE
                          developer_fee_percent: 0
                          developer_fee_fixed: null
                          customer_id: 0fb72092-22a8-4df8-a6d9-1a28f86b7d44
                          created_at: '2026-04-04T11:04:16.156771Z'
                          updated_at: '2026-04-04T11:04:16.156771Z'
                          deposit_instructions:
                            currency: USD
                            bank_name: Bank of Nowhere
                            bank_address: 1800 North Pole St., Orlando, FL 32801
                            bank_routing_number: '101019644'
                            bank_account_number: '2611508020'
                            payment_rails:
                              - ACH
                              - FEDWIRE
                            bank_country: null
                            account_type: null
                            bank_code: null
                          destination:
                            currency: USDC
                            destination_chain: POLYGON
                            address: '0x6e41e83d406185b358bd72111ab1206cb82eb67f'
                          rfi: null
                      pagination:
                        current_page: 1
                        per_page: 10
                        total_page: 1
                        total: 2
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  parameters:
    PerPageParam:
      name: per_page
      in: query
      description: Number of items to return per page
      required: false
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 512
    CurrentPageParam:
      name: current_page
      in: query
      description: The page number to retrieve
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````